import { MenuItem, MenuItemProps } from '../common/entity';
export declare const uniqueSearchKey = "_key_";
export declare function getMenuMap(list: MenuItemProps[]): Record<string, MenuItem>;
export declare function inserDataOfWeight(list: MenuItem[], data: MenuItem): void;
export declare function getThirdLevelPathToNodeMap(list?: MenuItemProps[]): Record<string, MenuItemProps>;
export declare function list2Tree(list: MenuItemProps[], parentId?: string): MenuItem[];
export declare function filterSearchWithKey(search: string, key: string): string;
export declare function getUrlSearch(path: string): string;
export declare function getSearchValueByKey(path: string, searchKey: string): string;
